Loading...
Searching...
No Matches
proxymemberaccess.hh File Reference
Common » Utilities » C++ utilities and backports

infrastructure for supporting operator->() on both references and proxies More...

`#include <type_traits>`
`#include <utility>`

Go to the source code of this file.

## Namespaces

namespace | Dune
| Dune namespace

## Functions

template<typename T>
pointer_or_proxy_holder | Dune::handle_proxy_member_access (T &&t)
| Transparent support for providing member access to both lvalues and rvalues (temporary proxies).

## Detailed Description

infrastructure for supporting operator->() on both references and proxies